.main_header {
  width: 100%;
  position: sticky;
  top: 0;
  z-index: 999;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 3px 6px #00000029;
}
.main_header .main_navbar {
  padding: 0px;
}

.main_header .main_navbar .header_logo {
  width: auto;
  height: 100%;
}

.main_header .main_navbar .header_logo .head_logo {
  width: 120px;
  object-fit: contain;
}

.main_header .main_navbar .navbar_inner {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.main_header .main_navbar .navbar_inner .nav_menu {
  display: flex;
  align-items: center;
  gap: 20px;
  margin: 0 auto;
}

.main_header .main_navbar .navbar_inner .nav_menu .nav_link {
  font-size: 14px !important;
  font-weight: 600;
  color: #000 !important;
  padding: 5px !important;
  font-family: Roboto;
  white-space: nowrap;
}
.main_header .main_navbar .navbar_inner .nav_menu .nav_link:hover {
  color: #27a8e0 !important;
}

.main_header .main_navbar .navbar_inner .nav_menu .nav-link.active {
  color: #27a8e0 !important;
}

.header_buttons {
  display: flex;
  align-items: center;
  gap: 12px;
}

.main_header .main_navbar .custom_toggle {
  border: none !important;
  box-shadow: none !important;
  padding: 0;
}
.main_header .main_navbar .custom_toggle:focus {
  box-shadow: none !important;
}

.main_header .main_navbar .mobile_header_buttons {
  display: none;
  align-items: center;
  gap: 8px;
}

.main_header .main_navbar .mobile_header_top {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.main_header .main_navbar .mobile_header_buttons .post_btn,
.main_header .main_navbar .mobile_header_buttons .login_btn {
  padding: 6px 10px;
  font-size: 12px;
}

@media (min-width: 0px) and (max-width: 991px) {
  .main_header .main_navbar {
    padding: 0;
    display: flex;
    /* flex-direction: row-reverse; */
  }
  .main_header .main_navbar .mobile_header_top {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .main_header .main_navbar .mobile_header_buttons {
    display: flex;
  }

  .main_header .main_navbar .header_buttons {
    display: none;
  }

  .main_header .main_navbar .navbar_inner {
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
    padding-bottom: 20px;
  }

  .main_header .main_navbar .navbar_inner .nav_menu {
    flex-direction: column;
    align-items: flex-start;
    gap: 0px;
    width: 100%;
    margin: 0;
  }
  .main_header .main_navbar .header_buttons {
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
  }

  .main_header .main_navbar .header_logo .head_logo {
    width: 80px;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .main_header .main_navbar .navbar-collapse {
    display: flex !important;
    flex-basis: auto;
    flex-grow: 1;
  }

  .main_header .main_navbar .navbar_inner {
    flex-direction: row !important;
    align-items: center;
    justify-content: space-between;
    padding-top: 0;
    gap: 0;
  }

  .main_header .main_navbar .navbar_inner .nav_menu {
    flex-direction: row !important;
    align-items: center;
    width: auto;
    gap: 10px;
    margin: 0 auto;
  }
  .main_header .main_navbar .header_buttons {
    display: flex !important;
    flex-direction: row;
    width: auto;
    margin-left: 20px;
  }
  .main_header .main_navbar .mobile_header_buttons {
    display: none !important;
  }

  .main_header .main_navbar .custom_toggle {
    display: none;
  }
  .main_header .main_navbar .header_logo .head_logo {
    width: 90px;
  }
  .main_header .main_navbar .black_wrapper .btn_text {
    font-size: 12px !important;
    padding: 4px 7px !important;
  }
  .main_header .main_navbar .btn_wrapper .btn_text {
    font-size: 12px;
    padding: 4px 7px !important;
  }
  .main_header .main_navbar .navbar_inner .nav_menu .nav_link {
    font-size: 13px !important;
  }
}
.main_header .mobile_balance_btn {
  display: none !important;
}
.main_header .desktop_balance_btn {
  display: block !important;
}

@media (max-width: 991px) {
  .main_header .mobile_balance_btn {
    display: block !important;
  }
  .main_header .desktop_balance_btn {
    display: none !important;
  }
}
